# Get HD Wallet (xPub, yPub, zPub) Assets UTXO

This endpoint will return details on assets we support for a specified from the customer extended public key (xPub). These could be cryptocurrencies, fungible or non-fungible (NFT) tokens. Each asset has a unique identifier - assetId, and a unique symbol in the form of a string, e.g. "USDT".

- **Endpoint:** `GET https://rest.cryptoapis.io/hd-wallets/utxo/{blockchain}/{network}/{extendedPublicKey}/assets`
- **Authentication:** `x-api-key` header
- **Credits cost:** 520 credits for 1 result by default; per blockchain: Bitcoin: 520, Bitcoin Cash: 624, Dash: 572, Dogecoin: 572, Litecoin: 572, Zcash: 676
- **Documentation page:** https://developers.cryptoapis.io/v-2.2024-12-12-175/RESTapis/hd-wallet-data-utxo/get-hd-wallet-xpub-ypub-zpub-assets-utxo/get

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `blockchain` | string | yes | Represents the specific blockchain protocol name, e.g. Ethereum, Bitcoin, etc. Allowed values: `bitcoin`, `zcash`, `bitcoin-cash`, `dash`, `dogecoin`, `litecoin`. |
| `network` | string | yes | Represents the name of the blockchain network used; blockchain networks are usually identical as technology and software, but they differ in data, e.g. - "mainnet" is the live network with actual data while networks like "testnet", "sepolia" are test networks. Allowed values: `testnet`, `mainnet`. |
| `extendedPublicKey` | string | yes | Defines the account extended publicly known key which is used to derive all child public keys. |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `context` | string | no | In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. `context` is specified by the user. |
| `derivation` | string | no | The way how the HD walled derives, for example when the type is ACCOUNT, it derives change and receive addresses while when the type is BIP32 it derives directly. Allowed values: `account`, `bip32`. |

## Responses

| Status | Description |
| --- | --- |
| 200 | The request has been successful. |
| 400 | 400 |
| 401 | 401 |
| 402 | 402 |
| 403 | 403 |
| 409 | The data provided seems to be invalid. |
| 415 | The selected Media Type is unavailable. The Content-Type header should be 'application/json'. |
| 422 | 422 |
| 429 | The request limit has been reached. There can be maximum {requests} requests per {seconds} second(s) made. Please contact our team via email if you need more or upgrade your plan. |
| 500 | An unexpected server error has occurred, we are working to fix this. Please try again later and in case it occurs again please report it to our team via email. |

### Example 200 response

```json
{
  "apiVersion": "2024-12-12",
  "requestId": "601c1710034ed6d407996b30",
  "context": "yourExampleString",
  "data": {
    "item": {
      "confirmedBalance": {
        "amount": "0.008516447598774679",
        "unit": "BTC"
      }
    }
  }
}
```

### 200 response fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `apiVersion` | string | yes | Specifies the version of the API that incorporates this endpoint. |
| `requestId` | string | yes | Defines the ID of the request. The `requestId` is generated by Crypto APIs and it's unique for every request. |
| `context` | string | no | In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. `context` is specified by the user. |
| `data` | object | yes |  |
| `data.item` | object | yes |  |
| `data.item.confirmedBalance` | object | yes |  |
| `data.item.confirmedBalance.amount` | string | yes | Specifies the confirmed coins balance of the Wallet. |
| `data.item.confirmedBalance.unit` | string | yes | Specifies the unit of the amount of the confirmed balance. |
